//
//  AboutView.swift
//  BMS_SwiftUI_Sample_v4_Basic
//
//  THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF
//  ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO
//  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//  PARTICULAR PURPOSE.
//
//  Created by Rob Roy
//  Copyright © 2020 Brother Mobile Solutions. All rights reserved.
//

import SwiftUI

struct AboutView: View {
    let appVersionString = Bundle.main.infoDictionary?["CFBundleShortVersionString"] as? String ?? "(unavailable)"
    let appVersionBuild = Bundle.main.infoDictionary?["CFBundleVersion"]  as? String ?? "(unavailable)"
    
    var body: some View {
        VStack(alignment: .center){
            Image("aboutBrotherLogo")
                .padding(.top, 40)
            
            Text("BMS SwiftUI v4 SDK Sample")
                .padding(.horizontal)
                .padding(.top, 40)
                .font(Font.headline.weight(.bold))
            
            Text("BASIC Version")
                .font(Font.body)
            
            Text("Version \(appVersionString) Build \(appVersionBuild)")
                .padding(.top, 1)
                .padding(.bottom, 40)
                .font(Font.subheadline.weight(.semibold))
                .foregroundColor(.red)
            
            Text("© 2020-2023 Brother Mobile Solutions, Inc")
                .padding(.horizontal)
                .font(Font.subheadline)
                .lineLimit(1)
                .scaledToFit()
                .minimumScaleFactor(0.5)
            
            Text("All Rights Reserved")
                .font(Font.footnote)
            
            Spacer()
        }
    }
}

struct AboutView_Previews: PreviewProvider {
    static var previews: some View {
        AboutView()
    }
}
