//
//  AppSettingsView.swift
//  BMS_SwiftUI_Sample_v4_Basic
//
//  THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF
//  ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO
//  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//  PARTICULAR PURPOSE.
//
//  Created by Rob Roy
//  Copyright © 2020 Brother Mobile Solutions. All rights reserved.
//

import SwiftUI

struct AppSettingsView: View {
    
    @ObservedObject var appSettings = AppSettings.shared
    
    var body: some View {
        VStack {
            Toggle(isOn:$appSettings.printUsingObjC)
            {
                Text("Print using Obj-C:")
            }.padding()
            
            Spacer()
        }
        .navigationBarTitle(Text("App Settings"), displayMode: .inline)
    }
}

struct AppSettingsView_Previews: PreviewProvider {
    static var previews: some View {
        NavigationView {
            AppSettingsView()
         }
    }
}
