//
//  BRLMPrinterKit-Bridging-Header.h
//  BMS_SwiftUI_Sample_v4_Basic
//
//  THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF
//  ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO
//  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//  PARTICULAR PURPOSE.
//
//  Created by Rob Roy
//  Copyright © 2020 Brother Mobile Solutions. All rights reserved.
//

#ifndef BRLMPrinterKit_Bridging_Header_h
#define BRLMPrinterKit_Bridging_Header_h

// In order to use the ObjC-based BRLMPrinterKit.framework with Swift, you MUST create (or append to) a "Bridging Header"
// This bridging header file demonstrates how to use the "Umbrella Header" for BOTH the v4 and v3 SDK APIs
//    - By using the "Umbrella" header(s), this will include ALL headers from the relevant SDK, so you don't have to choose
//      individual headers based on specific features you implement.

// The 2 "umbrella" headers needed to use v4 and v3 SDK APIs
#import <BRLMPrinterKit/BRLMPrinterKit.h>     // v4
#import <BRLMPrinterKit/BRPtouchPrinterKit.h> // v3: needed for search, Network/BLE/BluetoothManager, and more...

// Internal App-created Obj-C Classes that will be used from Swift classes
#import "ObjCPrintHandler.h"
#import "ObjCPDFPrintHandler.h"
#import "ObjCImagePrintHandler.h"
#import "ObjCPRNPrintHandler.h"


#endif /* BRLMPrinterKit_Bridging_Header_h */
